; Include, etc

.386
.model FLAT, STDCALL
option casemap:none
option dotname

include \masm32\include\windows.inc
include \masm32\include\kernel32.inc
include \masm32\include\masm32.inc

includelib \masm32\lib\kernel32.lib
includelib \masm32\lib\masm32.lib

; String lengths

MAX_DATE_LEN            EQU             20
MAX_TIME_LEN            EQU             15

; Format strings

.data

szDFormat               db              "ddd',' MMM dd',' yyyy'", 0Dh, 0Ah, "'", 0
szTFormat               db              "hh':'mm':'ss tt'", 0Dh, 0Ah, "'", 0

; Run time data

; /SECTION:.shared,S

.shared SEGMENT READONLY
szFormat               db              "ddd',' MMM dd',' yyyy'", 0Dh, 0Ah, "'", 0
szormat               db              "hh':'mm':'ss tt'", 0Dh, 0Ah, "'", 0
.shared ENDS

.data?

stCurTime               SYSTEMTIME      <>
szDate                  db              MAX_DATE_LEN dup (?)
szTime                  db              MAX_TIME_LEN dup (?)

; Start code

.code
start:

; Get time

invoke GetLocalTime, addr stCurTime

; Convert

invoke GetDateFormat, LOCALE_USER_DEFAULT, NULL, addr stCurTime, addr szDFormat, addr szDate, MAX_DATE_LEN
invoke GetTimeFormat, LOCALE_USER_DEFAULT, NULL, addr stCurTime, addr szTFormat, addr szTime, MAX_TIME_LEN

; Output

invoke StdOut, addr szDate
invoke StdOut, addr szTime

; Pause

invoke Sleep, 2000

; Exit

invoke ExitProcess, 0

; End code

end start